%define upstream_name    namespace-autoclean
%define upstream_version 0.29

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Keep imports out of your namespace 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/namespace/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::EndOfScope) >= 0.120.0
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(List::Util)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Identify)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Needs)
BuildRequires: perl(constant)
BuildRequires: perl(namespace::clean) >= 0.200.0
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Requires:   perl(namespace::clean)
Provides:   perl(namespace::autoclean)

%description
When you import a function into a Perl package, it will naturally also be
available as a method.

The 'namespace::autoclean' pragma will remove all imported symbols at the
end of the current package's compile cycle. Functions called in the package
itself will still be bound by their name, but they won't show up as methods
on your class or instances.

This module is very similar to namespace::clean, except it will clean all
imported functions, no matter if you imported them before or after you
'use'd the pagma. It will also not touch anything that looks like a method,
according to 'Class::MOP::Class::get_method_list'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Feb 15 2020 umeabot <umeabot> 0.290.0-3.mga8
+ Revision: 1528738
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tmb <tmb> 0.290.0-2.mga8
+ Revision: 1432579
- rebuild for perl 5.30

* Sun Aug 25 2019 tv <tv> 0.290.0-1.mga8
+ Revision: 1431987
- update to 0.29

* Wed Sep 19 2018 umeabot <umeabot> 0.280.0-4.mga7
+ Revision: 1269888
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.280.0-3.mga6
+ Revision: 1030894
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.280.0-2.mga6
+ Revision: 971330
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 0.280.0-1.mga6
+ Revision: 891465
- update to 0.28

* Mon Sep 28 2015 sander85 <sander85> 0.270.0-1.mga6
+ Revision: 884729
- update to 0.27

* Sat Jul 04 2015 sander85 <sander85> 0.260.0-1.mga6
+ Revision: 849945
- update to 0.26

* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-3.mga5
+ Revision: 740913
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.200.0-2.mga5
+ Revision: 687044
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 sander85 <sander85> 0.200.0-1.mga5
+ Revision: 673122
- update to 0.20

* Tue Jun 17 2014 sander85 <sander85> 0.190.0-1.mga5
+ Revision: 637815
- update to 0.19

* Sun Jun 15 2014 sander85 <sander85> 0.180.0-1.mga5
+ Revision: 636581
- update to 0.18

* Wed Jun 11 2014 sander85 <sander85> 0.170.0-1.mga5
+ Revision: 635614
- update to 0.17

* Sat Feb 08 2014 sander85 <sander85> 0.150.0-1.mga5
+ Revision: 586433
- update to 0.15

* Mon Oct 21 2013 umeabot <umeabot> 0.140.0-2.mga4
+ Revision: 540673
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 sander85 <sander85> 0.140.0-1.mga4
+ Revision: 494209
- update to 0.14

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-2.mga3
+ Revision: 375521
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- update to 0.13

* Sat Jun 11 2011 spuhler <spuhler> 0.120.0-2.mga2
+ Revision: 103970
- increase rel for rebuild

* Wed Feb 16 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 52226
- update to 0.12

* Tue Jan 25 2011 jquelin <jquelin> 0.110.0-2.mga1
+ Revision: 38505
- mageia rebuild
- imported package perl-namespace-autoclean

